Skip to main content
PUT
Updates a target for a given site

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

siteId
string
required

site identifier.

targetId
string
required

target identifier.

Body

application/json
targetId
string
required

Target id

Example:

"2FD7EADA83E24121C5EC0CFCBBEBCF819E08BDD845163E1C9D451737CC12BCFC"

generationTs
string<date-time>
required

The timestamp at which the target was generated The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'

Example:

"2021-07-21T22:00:00Z"

beginDate
string<date-time>
required

The timestamp at which the target period starts The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'

Example:

"2021-12-31T23:00:00Z"

endDate
string<date-time>
required

The timestamp at which the target period ends The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'

Example:

"2022-12-31T23:00:00Z"

type
enum<string>
required

The fluid type for the target (only ELEC is properly supported)

Available options:
ELEC
Example:

"ELEC"

unit
enum<string>
required

The designated unit type for the target, which can be either EURO or KWH

Available options:
EURO,
KWH
Example:

"EURO"

targetValue
integer
required

"The yearly value for the target"

Example:

3000

defaultTargetValue
integer
required

"The yearly default value for the target; the reference value based on similar homes or past consumptions"

Example:

3100

notificationType
enum<string>
required

The condition that defines whether a notification should be sent or not

Available options:
NONE,
ON_DIST_INDEX_RECEPTION,
THRESHOLD_OVERRUN
siteId
string

Site id

Example:

"d8a9b286-d7c0-493c-9610-403747687023_01"

notificationChannels
string[]

The channels used to send notifications (EMAIL, SMS, both or none)

Example:
name
string

The target's name

Example:

"My target"

Response

OK.

targetId
string

The target id for the processed target

Example:

"17636C2876EFA9B8A4A8B061043952895C51A129DB22ED73F835C2FC3F79E9B2"